Split "Manage documents" permission into create, edit and delete permissions

2012-11-19 21:43 - Michael Esemplare

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Documents Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed   

Description

Due to security reasons we needed to expand the "Manage Documents" permission to allow specific settings per role. I am pushing

back my changes in patch form as a feature for Redmine.

Related issues:

Related to Redmine - Feature #12677: Private attachments for issues New

Associated revisions

Revision 11206 - 2013-01-20 12:38 - Jean-Philippe Lang

Split "Manage documents" permission into create, edit and delete permissions (#12401).

Revision 11207 - 2013-01-20 12:43 - Jean-Philippe Lang

Update locales for new document permissions (#12401).

Revision 11214 - 2013-01-20 13:48 - Toshi MARUYAMA

German translation updated by Daniel Felix (#12401)

Revision 11383 - 2013-02-15 06:28 - Toshi MARUYAMA

remove "permission_manage_documents" from az.yml (#13152, #12401)

History

#1 - 2012-11-20 00:01 - Terence Mill

Sound intesting.

So which new rights did you add?

#2 - 2012-11-20 00:03 - Michael Esemplare

Instead of "Manage Documents" which was too abstract for our purposes, I separated the permissions into "Add Documents", "Edit Documents", and

"Delete Documents". I also left the "View Documents" permission in place.

#3 - 2012-11-20 00:26 - Terence Mill

Perfect!

+1

#4 - 2012-11-20 11:26 - Adriano Ceccarelli

It worked perfectly!

However, I'm also a need permission by document type. Very difficult?

#5 - 2012-11-26 21:30 - Jean-Philippe Lang

- Subject changed from Enhanced Documents permission to Split "Manage documents" permission into create, edit and delete permissions

- Category changed from Permissions and roles to Documents

- Target version set to 2.3.0

#6 - 2012-12-16 11:36 - Abdul Halim Mat Ali

We need this for the file permission too
#7 - 2012-12-23 16:22 - Eugene B

At 2.2.0 version a "private" comment type was added, but if you attach any document

to this "private" comment its available to everyone. If a "private" status will be

applied to uploaded document as well. That would be super.

#8 - 2012-12-25 21:16 - Jan Niggemann (redmine.org team member)

Eugene B wrote:

At 2.2.0 version a "private" comment type was added, but if you attach any document

to this "private" comment its available to everyone.

 Eugene, can you please open a new defect for this? Thank you!

#9 - 2013-01-20 12:43 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Permissions changed in r11206.

#10 - 2013-01-20 13:25 - Daniel Felix

German translations:

permission_add_documents: Dokumente hinzufügen

permission_edit_documents: Dokumente bearbeiten

permission_delete_documents: Dokumente löschen

#11 - 2013-01-20 13:49 - Toshi MARUYAMA

Daniel Felix wrote:

German translations:

permission_add_documents: Dokumente hinzufügen

permission_edit_documents: Dokumente bearbeiten

permission_delete_documents: Dokumente löschen

 Committed in trunk r11214, thanks.

Files

document.rb.patch 627 Bytes 2012-11-19 Michael Esemplare

documents.show.html.erb.patch 613 Bytes 2012-11-19 Michael Esemplare

en-GB.yml.patch 574 Bytes 2012-11-19 Michael Esemplare

redmine.rb.patch 973 Bytes 2012-11-19 Michael Esemplare

views.documents.index.html.erb.patch 674 Bytes 2012-11-19 Michael Esemplare
